org.apache.hadoop.mapreduce.lib.aggregate

## Class LongValueSum

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.aggregate.LongValueSum

- All Implemented Interfaces:
    ValueAggregator<String>
  Direct Known Subclasses:
    LongValueSum

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class LongValueSum
      extends Object
      implements ValueAggregator<String>

  This class implements a value aggregator that sums up a sequence of long values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongValueSum()` the default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNextValue(long val)` add a value to the aggregator
    `void` | `addNextValue(Object val)` add a value to the aggregator
    `ArrayList<String>` | `getCombinerOutput()`
    `String` | `getReport()`
    `long` | `getSum()`
    `void` | `reset()` reset the aggregator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongValueSum

          public LongValueSum()

      the default constructor

  - ### Method Detail

    - #### addNextValue

          public void addNextValue(Object val)

      add a value to the aggregator
      Specified by:
        `addNextValue` in interface `ValueAggregator<String>`
      Parameters:
        `val` - an object whose string representation represents a long value.

    - #### addNextValue

          public void addNextValue(long val)

      add a value to the aggregator
      Parameters:
        `val` - a long value.

    - #### getSum

          public long getSum()

      Returns:
        the aggregated value

    - #### getReport

          public String getReport()

      Specified by:
        `getReport` in interface `ValueAggregator<String>`
      Returns:
        the string representation of the aggregated value

    - #### reset

          public void reset()

      reset the aggregator
      Specified by:
        `reset` in interface `ValueAggregator<String>`

    - #### getCombinerOutput

          public ArrayList<String> getCombinerOutput()

      Specified by:
        `getCombinerOutput` in interface `ValueAggregator<String>`
      Returns:
        return an array of one element. The element is a string representation of the aggregated value. The return value is expected to be used by the a combiner.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.